<?php

namespace App\Filament\Resources\Moughataas;

use App\Filament\Resources\Moughataas\Pages\CreateMoughataa;
use App\Filament\Resources\Moughataas\Pages\EditMoughataa;
use App\Filament\Resources\Moughataas\Pages\ListMoughataas;
use App\Filament\Resources\Moughataas\Schemas\MoughataaForm;
use App\Filament\Resources\Moughataas\Tables\MoughataasTable;
use App\Models\Moughataa;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class MoughataaResource extends Resource
{
    protected static ?string $model = Moughataa::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return MoughataaForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return MoughataasTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListMoughataas::route('/'),
            'create' => CreateMoughataa::route('/create'),
            'edit' => EditMoughataa::route('/{record}/edit'),
        ];
    }
}
